> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update swap auto-approval rules (action / enabled per rule)

> Update swap auto-approval rules (action / enabled per rule)



## OpenAPI

````yaml /api-reference/openapi.json put /api/swaps/rules
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/swaps/rules:
    put:
      tags:
        - Swaps
      summary: Update swap auto-approval rules (action / enabled per rule)
      description: Update swap auto-approval rules (action / enabled per rule)
      operationId: putApiSwapsRules
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                rules:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      action:
                        type: string
                        enum:
                          - autoApprove
                          - managerReview
                          - hrCoApprove
                      enabled:
                        type: boolean
                    required:
                      - id
                      - action
                      - enabled
              required:
                - rules
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    key:
                      type: string
                    label:
                      type: string
                    action:
                      type: string
                      enum:
                        - autoApprove
                        - managerReview
                        - hrCoApprove
                    enabled:
                      type: boolean
                    order:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                  required:
                    - id
                    - key
                    - label
                    - action
                    - enabled
                    - order
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````